directories
  '*.dmf' = 'C:\Program Files\Control Web 2000\dmf';
  '*.par' = 'C:\Program Files\Control Web 2000\par';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 2;
  output_timeout = 2;
  time_error_limit = 2;
  paint_time_limit = 2;
  skip_init_outputs = true;
  skip_init_procedures = true;
  ignore_same_message = false;
end_settings;

const
end_const;

var
end_var;

driver
  pct = 'cw_pct7303a.dll', 'Cw_pct7303a.dmf', 'Cw_pct7303a.par';
end_driver;

channel
  k0 = longcard, 0, pct, input;
  k1 = longcard, 1, pct, input;
  k10 = longcard, 10, pct, output, 16777215;
  k11 = longcard, 11, pct, output, 16777215;
  k12 = longcard, 12, pct, output, 0;
  k13 = longcard, 13, pct, output, 0;
  k14 = longcard, 14, pct, output, 0;
  k15 = longcard, 15, pct, output, 0;
  k16 = longcard, 16, pct, output, 0;
  k17 = longcard, 17, pct, output, 0;
  k18 = longcard, 18, pct, output, 0;
  k19 = longcard, 19, pct, output, 0;
  k2 = longcard, 2, pct, input;
  k20 = longcard, 20, pct, output, 0;
  k21 = longcard, 21, pct, input;
  k22 = longcard, 22, pct, input;
  k23 = longcard, 23, pct, input;
  k24 = longcard, 24, pct, output, 0;
  k25 = longcard, 25, pct, output, 0;
  k26 = longcard, 26, pct, input;
  k27 = longcard, 27, pct, output, 0;
  k28 = longcard, 28, pct, output, 0;
  k29 = longcard, 29, pct, input;
  k3 = longcard, 3, pct, input;
  k30 = longcard, 30, pct, output, 0;
  k31 = longcard, 31, pct, output, 0;
  k4 = longcard, 4, pct, input;
  k40 = boolean, 40, pct, input;
  k41 = boolean, 41, pct, input;
  k42 = boolean, 42, pct, input;
  k43 = boolean, 43, pct, input;
  k44 = boolean, 44, pct, input;
  k45 = boolean, 45, pct, input;
  k46 = boolean, 46, pct, input;
  k47 = boolean, 47, pct, input;
  k48 = longcard, 48, pct, input;
  k5 = longcard, 5, pct, input;
  k50 = boolean, 50, pct, output, false;
  k51 = boolean, 51, pct, output, false;
  k52 = boolean, 52, pct, output, false;
  k53 = boolean, 53, pct, output, false;
  k54 = boolean, 54, pct, output, false;
  k55 = boolean, 55, pct, output, false;
  k56 = boolean, 56, pct, output, false;
  k57 = boolean, 57, pct, output, false;
  k58 = longcard, 58, pct, output, 0;
  k6 = longcard, 6, pct, output, 0;
  k60 = boolean, 60, pct, output, false;
  k61 = boolean, 61, pct, output, false;
  k62 = boolean, 62, pct, output, false;
  k63 = boolean, 63, pct, output, false;
  k64 = boolean, 64, pct, output, false;
  k65 = boolean, 65, pct, output, false;
  k66 = boolean, 66, pct, output, false;
  k67 = boolean, 67, pct, output, false;
  k68 = longcard, 68, pct, output, 0;
  k7 = longcard, 7, pct, output, 0;
  k8 = longcard, 8, pct, output, 0;
  k9 = longcard, 9, pct, output, 16777215;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 1018, 716;
    win_disable = zoom;
    win_title = 'pct7303a';
    visibility = false;
  end_panel;

  label label_2;
    owner = backpane;
    position = 402, 19;
    font = 'Tahoma (Central European)', 28, normal;
    text = 'PCT-7303A';
    colors
      ink = lred;
    end_colors;
  end_label;

  label label_2;
    owner = backpane;
    position = 712, 204;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k68 (RTDOReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 712, 154;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k58 (DOUTReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 707, 94;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k48 (DINReg)';
  end_label;

  control control_1;
    owner = backpane;
    position = 712, 169, 120, 23;
    send_same_data;
    output = k58;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 712, 219, 120, 23;
    send_same_data;
    output = k68;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 707, 109, 120, 31;
    expression = k48;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 547, 464;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k31 (RTDOCfgReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 547, 414;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k30 (XSTRClrReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 547, 354;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k29 (XSTRStatusReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 547, 304;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k28 (XSTREnReg)';
  end_label;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 547, 369, 120, 31;
    expression = k29;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  control control_1;
    owner = backpane;
    position = 547, 479, 120, 23;
    send_same_data;
    output = k31;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 547, 429, 120, 23;
    send_same_data;
    output = k30;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 547, 319, 120, 23;
    send_same_data;
    output = k28;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 547, 254;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k27 (CMPClrReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 547, 194;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k26 (CMPStatReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 547, 144;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k25 (CMPEnReg)';
  end_label;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 547, 209, 120, 31;
    expression = k26;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  control control_1;
    owner = backpane;
    position = 547, 269, 120, 23;
    send_same_data;
    output = k27;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 547, 159, 120, 23;
    send_same_data;
    output = k25;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 307, 464;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k23 (CNT2StatReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 464;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k22 (CNT1StatReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 37, 464;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k21 (CNT0StatReg)';
  end_label;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 307, 479, 120, 31;
    expression = k23;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 172, 479, 120, 31;
    expression = k22;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 37, 479, 120, 30;
    expression = k21;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 12, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 307, 414;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k20 (CNT2CWReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 414;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k19 (CNT1CWReg)';
  end_label;

  control control_1;
    owner = backpane;
    position = 307, 429, 120, 23;
    send_same_data;
    output = k20;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 172, 429, 120, 23;
    send_same_data;
    output = k19;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 307, 364;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k17 (CNT2CMP2)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 364;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k16 (CNT1CMP2)';
  end_label;

  label label_2;
    owner = backpane;
    position = 37, 364;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k15 (CNT0CMP2)';
  end_label;

  control control_1;
    owner = backpane;
    position = 307, 379, 120, 23;
    send_same_data;
    output = k17;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 172, 379, 120, 23;
    send_same_data;
    output = k16;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 37, 379, 120, 23;
    send_same_data;
    output = k15;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 307, 314;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k14 (CNT2CMP1)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 314;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k13 (CNT1CMP1)';
  end_label;

  label label_2;
    owner = backpane;
    position = 37, 314;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k12 (CNT0CMP1)';
  end_label;

  control control_1;
    owner = backpane;
    position = 307, 329, 120, 23;
    send_same_data;
    output = k14;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 172, 329, 120, 23;
    send_same_data;
    output = k13;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 37, 329, 120, 23;
    send_same_data;
    output = k12;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 307, 264;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k11 (CNT2RngReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 264;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k10 (CNT1RngReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 37, 264;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k9 (CNT0RngReg)';
  end_label;

  control control_1;
    owner = backpane;
    position = 307, 279, 120, 23;
    send_same_data;
    output = k11;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 172, 279, 120, 23;
    send_same_data;
    output = k10;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 37, 279, 120, 23;
    send_same_data;
    output = k9;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 37, 214;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k6 (CNT0SetReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 209;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k7 (CNT1SetReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 307, 209;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k8 (CNT2SetReg)';
  end_label;

  control control_1;
    owner = backpane;
    position = 37, 229, 120, 23;
    send_same_data;
    output = k6;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 172, 224, 120, 23;
    send_same_data;
    output = k7;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  control control_1;
    owner = backpane;
    position = 307, 224, 120, 23;
    send_same_data;
    output = k8;
    mode = edit_box;
    range_to = 20000000;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 307, 154;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k5 (CNT2XStrReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 154;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k4 (CNT1XStrReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 37, 154;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k3 (CNT0XStrReg)';
  end_label;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 307, 169, 120, 31;
    expression = k5;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 172, 169, 120, 31;
    expression = k4;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 37, 169, 120, 31;
    expression = k3;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 307, 94;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k2 (CNT2StrReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 172, 94;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k1 (CNT1StrReg)';
  end_label;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 307, 109, 120, 31;
    expression = k2;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 172, 109, 120, 31;
    expression = k1;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 37, 414;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k18 (CNT0CWReg)';
  end_label;

  control control_1;
    owner = backpane;
    position = 37, 429, 120, 23;
    send_same_data;
    output = k18;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  label label_2;
    owner = backpane;
    position = 547, 94;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k24 (CNTEnReg)';
  end_label;

  label label_2;
    owner = backpane;
    position = 37, 94;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'k0 (CNT0StrReg)';
  end_label;

  control control_1;
    owner = backpane;
    position = 547, 109, 120, 23;
    send_same_data;
    output = k24;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 37, 109, 120, 31;
    expression = k0;
    mode = text_display;
    range_to = 20000000;
    low_limit = 0;
    high_limit = 20000000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 14, bold;
    colors
      ink = lyellow;
      paper = green;
      value = green;
      low_limit = green;
      high_limit = green;
    end_colors;
  end_meter;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

